Bug 65015 - Segmentation fault while de-configuring SB4100 USB Cable Modem
Segmentation fault while de-configuring SB4100 USB Cable Modem
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: 74306 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-05-16 00:15 EDT by Jason Luka
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-23 15:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace (44.92 KB, text/plain)
2002-11-26 10:32 EST, Bill Nottingham
no flags Details
Hwconf (4.55 KB, text/plain)
2002-11-26 15:25 EST, Jason Luka
no flags Details

  None (edit)
Description Jason Luka 2002-05-16 00:15:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-4 i686)

Description of problem:
After removing a SB4100 USB Cable modem and running kudzu again, kudzu asks to
keep or remove configuration.  When remove configuration is selected, the
program segmentation faults and aborts.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Remove SB4100 USB Cable modem
2. Run kudzu
3. Click remove configuration

Actual Results:  Segmentation fault and abort	

Expected Results:  The configuration should be removed and the program should

Additional info:
Comment 1 Bill Nottingham 2002-06-12 02:29:04 EDT
Can you post an strace of it segfaulting?
Comment 2 Bill Nottingham 2002-11-25 17:01:33 EST
closed, no response
Comment 3 Bill Nottingham 2002-11-26 10:32:53 EST
Created attachment 86544 [details]
Comment 4 Bill Nottingham 2002-11-26 10:35:22 EST
Can you attach your /etc/sysconfig/hwconf before the segfault?
Comment 5 Jason Luka 2002-11-26 15:25:07 EST
Created attachment 86584 [details]
Comment 6 Bill Nottingham 2005-02-04 17:54:27 EST
*** Bug 74306 has been marked as a duplicate of this bug. ***
Comment 7 Bill Nottingham 2005-09-23 15:21:57 EDT
This is probably due to dev->driver or dev->device not being set. This should be
fixed in current rawhide kudzu.

Note You need to log in before you can comment on or make changes to this bug.